# SplFileInfo::getFileInfo

(PHP 5 >= 5.1.2, PHP 7)

SplFileInfo::getFileInfo — Gets an SplFileInfo object for the file

### Description

public SplFileInfo::getFileInfo ([ string `$class_name` ] ) : SplFileInfo

This method gets an SplFileInfo object for the referenced file.

### Parameters

`class_name`

  Name of an SplFileInfo derived class to use.

### Return Values

An SplFileInfo object created for the file.

### See Also

- SplFileInfo::setInfoClass() - Sets the class used with SplFileInfo::getFileInfo and SplFileInfo::getPathInfo